| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Redirect RequiredYour application will need to redirect to this endpoint instead of making a direct API call.
OIDC CompliantThis endpoint is compliant with the OIDC Authorization Endpoint (Authorization Code Flow) specification.
Initiates the OIDC Authorization Code flow. This API can be called using either an application vanity domain or a tenant vanity domain. The API's behavior depends on which vanity domain is used in the request, as described below.
NoteAn application vanity domain can only be used when application authorization requests are enabled for the application.
If an Application Vanity Domain Is Used
Initiates an application-level login request. If the request is valid, the user is redirected to either the Wristband-hosted application login page or a custom application login page, if configured.
On the login page, the user completes the tenant discovery flow to identify the tenant they want to log in to. Once the tenant is resolved, the user is redirected to the authorize endpoint using the tenant's vanity domain to initiate the tenant-level login flow.
If the request is invalid, the user is redirected to either the default Wristband application error page or a custom application error page, if configured.
NoteWhen the user is redirected to an application login page, an authorization request JWT containing the original authorization request parameters is created and appended to the URL as the
reqquery parameter. The login page can use this JWT to retrieve the original authorization request parameters by calling the Introspect Authorization Request Token API.
If a Tenant Vanity Domain Is Used
Initiates a login request for a specific tenant. The tenant vanity domain identifies the tenant the user is attempting to log in to. When this endpoint is invoked, one of the following actions occurs:
-
Invalid request with an undeterminable redirect URI or invalid client ID: The user is redirected to either the default Wristband tenant error page or a custom tenant error page, if configured.
-
Invalid request with a valid client redirect URI: The user is redirected to the client's redirect URI with the appropriate error code.
-
Valid request with an unauthenticated user: If a valid authentication session cookie is not present, the user is redirected to either the Wristband-hosted tenant login page or a custom tenant login page, if configured. This behavior applies when the
promptparameter is omitted or set tologin. Ifpromptis set tonone, the user is redirected to the client's redirect URI with alogin_requirederror code. -
Valid request with an authenticated user and
prompt=login: The user is redirected to either the Wristband-hosted tenant login page or a custom tenant login page, if configured, to initiate a new login flow. -
Valid request with an authenticated user and
prompt=noneor an omittedpromptparameter: The user is redirected to the client's redirect URI with an authorization code.
NoteWhen the user is redirected to a tenant login page, an authorization request JWT containing the original authorization request parameters is created and appended to the URL as the
reqquery parameter. The login page can use this JWT to retrieve the original authorization request parameters by calling the Introspect Authorization Request Token API.
Error Codes:
Below is a list of error codes that can be returned on redirects to the client's callback URI.
invalid_request: The request is missing a required parameter, includes an invalid parameter value, includes a parameter more than once, or is otherwise malformed.unauthorized_client: The client is not authorized to request an authorization code, usually because the client doesn't support theauthorization_codegrant type.access_denied: The resource owner or authorization server denied the request.unsupported_response_type: The response type specified in the request is not supported.invalid_scope: The requested scope is invalid, unknown, or malformed.server_error: The authorization server encountered an unexpected condition that prevented it from fulfilling the request.temporarily_unavailable: The authorization server is currently unable to handle the request due to a temporary overload or maintenance of the server.login_required: The authorization request does not have a valid auth session associated with it and requires the user to authenticate.request_not_supported: Returned if the OIDCrequestparameter is specified in the request.request_uri_not_supported: Returned if the OIDCrequest_uriparameter is specified in the request.registration_not_supported: Returned if the OIDCregistrationparameter is specified in the request.